<?php
	/**************************************************************************\
	* eGroupWare                                                               *
	* http://www.egroupware.org                                                *
	* The file written by Mrio Csar Kolling <mario.kolling@serpro.gov.br>    *
	* --------------------------------------------                             *
	*  This program is free software; you can redistribute it and/or modify it *
	*  under the terms of the GNU General Public License as published by the   *
	*  Free Software Foundation; either version 2 of the License, or (at your  *
	*  option) any later version.                                              *
	\**************************************************************************/

	/*******************************************\
	 * Define a aplicao mobile preferencial  *
	\*******************************************/
	//TODO: Ler do banco do expresso as preferncias do usurio e definir a aplicao mvel padro
	// por enquanto isto ser hardcoded para mobilemail.
	$GLOBALS['phpgw_info']['user']['preferences']['common']['default_mobile_app'] = 'mobilemail';
	//TODO: Fazer mais genrico... Parecido com o home.php do expresso.

	/*
	 * @function start_prefered_app
	 * @abstract Funo que chama a aplicao mvel preferencial.
	 * @author Mrio Csar Kolling <mario.kolling@serpro.gov.br>
	 */
	function start_prefered_app(){

		//TODO: Determinar qual a aplicao mvel preferida e inici-la.
		//TODO: Costruir agenda como uma classe.

		if ($GLOBALS['phpgw_info']['flags']['currentapp'] === 'mobile'){
			$GLOBALS['phpgw']->redirect($GLOBALS['phpgw']->link('/'
				. $GLOBALS['phpgw_info']['flags']['currentapp'] . '/'
				. $GLOBALS['phpgw_info']['user']['preferences']['common']['default_mobile_app'] . '_'
				. 'index.php'));
		}

	}

	// No ser necessrio implementar nada aqui
	function print_navbar(){

	}

	/*
	 * @function print_header
	 * @abstract Imprime o incio da tela do Expresso Mini, headers html e a barra de navegao
	 * @author Mrio Csar Kolling <mario.kolling@serpro.gov.br>
	 */
	function print_header(){

		$p = CreateObject('phpgwapi.Template', PHPGW_SERVER_ROOT . '/mobile/templates/'.$GLOBALS['phpgw_info']['server']['template_set']);
		$p->set_file(
				Array(
					'home_t' => 'home.tpl'
				)
		);

		$p->set_block('home_t', 'mobile_header');
		$p->set_block('home_t', 'mobile_navbar');
		$GLOBALS['phpgw']->accounts->read_repository();

		$var  = Array(
			'fullname'	=> $GLOBALS['phpgw']->accounts->data['fullname'],   //$GLOBALS['phpgw_info']['user']['firstname'],
			//'last_name'		=> $GLOBALS['phpgw']->accounts->data['last_name'], //$GLOBALS['phpgw_info']['user']['lastname'],
			'account_lid'	=> $GLOBALS['phpgw_info']['user']['account_lid'],
			'lang_logout'	=> lang('Logout'),
			'template_set'	=> $GLOBALS['phpgw_info']['server']['template_set']
		);

		$p->set_var($var);
		$p->parse('home_t', 'mobile_header');

		/********************************\
		 * Cria o link para o new_mail  *
		\********************************/
		$q = CreateObject('phpgwapi.Template', PHPGW_SERVER_ROOT . '/mobile/templates/'.$GLOBALS['phpgw_info']['server']['template_set']);
		$q->set_file(
				Array(
					'new_mail_t' => 'home.tpl'
				)
		);

		$q->set_block('new_mail_t', 'new_mail');
		$q->set_block('new_mail_t', 'begin_anchor');
		$q->set_block('new_mail_t', 'end_anchor');

		$q->set_var('href', 'index.php?menuaction=mobile.mobilemail.new_msg&clk=01');
		$q->set_var('lang_newmail', lang('Create mail'));
		$q->fp('new_mail_t', 'begin_anchor');
		$q->fp('new_mail_t', 'end_anchor');

		$p->set_var('newmail', trim($q->fp('new_mail_t', 'new_mail')));

		/********************************\
		 * Cria o link para o mobilemail *
		\********************************/
		$q = CreateObject('phpgwapi.Template', PHPGW_SERVER_ROOT . '/mobile/templates/'.$GLOBALS['phpgw_info']['server']['template_set']);
		$q->set_file(
				Array(
					'mobilemail_t' => 'home.tpl'
				)
		);

		$q->set_block('mobilemail_t', 'mobilemail');
		$q->set_block('mobilemail_t', 'begin_anchor');
		$q->set_block('mobilemail_t', 'end_anchor');

		$q->set_var('href', 'mobilemail_index.php');
		$q->set_var('lang_email', lang('E-mail'));
		$q->fp('mobilemail_t', 'begin_anchor');
		$q->fp('mobilemail_t', 'end_anchor');

		$p->set_var('mobilemail', trim($q->fp('mobilemail_t', 'mobilemail')));

		/*****************************\
		 * Cria o link para a agenda *
		\*****************************/
		//TODO: Passar estes passos para um lao quando tivermos um modo de registrar aplicaes mobile
		$q = CreateObject('phpgwapi.Template', PHPGW_SERVER_ROOT . '/mobile/templates/'.$GLOBALS['phpgw_info']['server']['template_set']);
		$q->set_file(
				Array(
					'agenda_t' => 'home.tpl'
				)
		);

		$q->set_block('agenda_t', 'agenda');
		$q->set_block('agenda_t', 'begin_anchor');
		$q->set_block('agenda_t', 'end_anchor');

		$q->set_var('href', 'calendar.php');
		$q->set_var('lang_agenda', lang('Calendar'));
		$q->fp('agenda_t', 'begin_anchor');
		$q->fp('agenda_t', 'end_anchor');

		$p->set_var('agenda', trim($q->fp('agenda_t', 'agenda')));

		/********************************\
		 * Cria o link para o mobilemail *
		\********************************/
/*		$q = CreateObject('phpgwapi.Template', PHPGW_SERVER_ROOT . '/mobile/templates/'.$GLOBALS['phpgw_info']['server']['template_set']);
		$q->set_file(
				Array(
					'mobilemail_t' => 'home.tpl'
				)
		);

		$q->set_block('mobilemail_t', 'mobilemail');
		$q->set_block('mobilemail_t', 'begin_anchor');
		$q->set_block('mobilemail_t', 'end_anchor');

		$q->set_var('href', 'mobilemail_index.php');
		$q->set_var('lang_email', lang('E-mail'));
		$q->fp('mobilemail_t', 'begin_anchor');
		$q->fp('mobilemail_t', 'end_anchor');

		$p->set_var('mobilemail', trim($q->fp('mobilemail_t', 'mobilemail')));
*/

		/********************************\
		 * Cria o link para o cc	 *
 		\********************************/
		$q = CreateObject('phpgwapi.Template', PHPGW_SERVER_ROOT . '/mobile/templates/'.$GLOBALS['phpgw_info']['server']['template_set']);
		$q->set_file(
			Array(
				'cc_t' => 'home.tpl'
			)
		);

		$q->set_block('cc_t', 'mobilecc');
		$q->set_block('cc_t', 'begin_anchor');
		$q->set_block('cc_t', 'end_anchor');
		
		$q->set_var('href', 'index.php?menuaction=mobile.ui_mobilecc.contacts_list');
		$q->set_var('lang_cc', lang('Contact Center'));
		$q->fp('cc_t', 'begin_anchor');
		$q->fp('cc_t', 'end_anchor');
		
		$p->set_var('contactcenter', trim($q->fp('cc_t', 'mobilecc')));

		/**************************************\
		 * Termina de formar o menu e imprime *
		\**************************************/
		$p->parse('home_t', 'mobile_navbar', true);
		$p->pfp('out', 'home_t');

	}

	/*
	 * @function print_footer
	 * @abstract Imprime o fim da tela do Expresso Mini, ou seja, fecha as tags <body> e <html>
	 * @author Mrio Csar Kolling <mario.kolling@serpro.gov.br>
	 */
	function print_footer(){

		$p = CreateObject('phpgwapi.Template', PHPGW_SERVER_ROOT . '/mobile/templates/'.$GLOBALS['phpgw_info']['server']['template_set']);
		$p->set_file(
				Array(
					'home_t' => 'home.tpl'
				)
		);

		$p->set_block('home_t', 'mobile_footer');
		$p->pfp('out', 'mobile_footer');

	}
?>
